Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.time
Class TimeGranularity

    java.lang.Object
      org.eclipse.amp.axf.time.TimeGranularity

All Implemented Interfaces:
  ITimeGranularity

    public class TimeGranularity

extends java.lang.Object
implements ITimeGranularity

Provides typical model update granularity. Models updates can be delayed or they can be designed to take place only every n model update periods. Note that these two are mutually exclusive!

Author:
  mparker

Field Summary
`static TimeGranularity` | `DEFAULT_GRANULARITY`

Method Summary
`static TimeGranularity` | `createDelayGranularity(long delay)`
`static TimeGranularity` | `createFrequencyGranularity(int frequency)`
`java.lang.String` | `getDescription()`
`long` | `getUpdateDelay()`
`int` | `getUpdateFrequency()`
`void` | `setUpdateDelay(long updateDelay)`
`void` | `setUpdateFrequency(int updateFrequency)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_GRANULARITY

    public static final TimeGranularity DEFAULT_GRANULARITY

Method Detail

### createDelayGranularity

    public static TimeGranularity createDelayGranularity(long delay)

### createFrequencyGranularity

    public static TimeGranularity createFrequencyGranularity(int frequency)

### getUpdateDelay

    public long getUpdateDelay()

### setUpdateDelay

    public void setUpdateDelay(long updateDelay)

### getUpdateFrequency

    public int getUpdateFrequency()

### setUpdateFrequency

    public void setUpdateFrequency(int updateFrequency)

### getDescription

    public java.lang.String getDescription()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD